module Main (main) where

-- import Debug.Trace
import Data.List (sort)

import Lib

main :: IO ()
main = do
    input <- getContents
    let backpacks = parseBackpacks input
        top_3 = sum $ take 3 $ reverse $ sort [sum b | b <- backpacks]
    print $ top_3
    return ()
